/*                                                           05-31-95 07:40pm
 ****************************************************************************
 *   DBLIB   Version 1.10.02    dBASE-file C Interface Library.
 ****************************************************************************
 *
 *   DB_GETRE.C       Get a record from a dBASE file and place in memory at
 * ( db_getrec )      location pointed to by DBF.record_prt.
 *
 * Copyright (c) Alexander V. Loukyanets, 1994,95.  All rights reserved.
 *
 ****************************************************************************
 *
 * Usage:
 *      d = (struct DBF *)malloc( sizeof( struct DBF ) );
 *      strcpy( d->filename, "filename.dbf" );
 *      db_open( d );
 *      db_getrec( d, (long)recordno );
 *      ... access record as desired ...
 *      db_close( d );
 *      free( d );
 *
 * Returns:
 *      DBE_OK              if successfull
 *      DBE_RECNO_TOO_BIG   if record is not in database
 *
 ****************************************************************************
 */

#include <stdio.h>
#include "dblib.h"
#include "dbdeb.h"


int db_getrec( struct DBF *d, unsigned long r )
{
  if ( r > d->records )
    return( DBE_RECNO_TOO_BIG );
  if (r > 0L) {
    fseek( d->file_ptr, ((long)d->header_length + ((r - 1L) * d->record_length)), 0 );
    fread( d->record_ptr, d->record_length, 1, d->file_ptr );
    d->current_record = r;
    return( DBE_OK );
  }
  return( DBE_RECNO_TOO_BIG );
}


/****************************************************************************
*** end of DB_GETRE.C ***/